Change log for deja-dup package in Debian

134 of 34 results
Published in buster-release on 2019-01-22
Published in sid-release on 2019-01-17
deja-dup (38.3-1) unstable; urgency=medium

  * New upstream release:
    - If some files couldn't be backed up, don't override that message
      with successful verification message. (lp: #1371613)
    - Tell user how much free space is needed when backup location is tiny
      (lp: #1103567)

 -- Sebastien Bacher <email address hidden>  Thu, 17 Jan 2019 11:24:31 +0100

Available diffs

Superseded in buster-release on 2019-01-22
Published in sid-release on 2019-01-11
deja-dup (38.2-1) unstable; urgency=medium

  * New upstream release:
    - Fix not being able to find the backup files when
      restoring on a fresh install (lp: #1804744)

 -- Sebastien Bacher <email address hidden>  Fri, 11 Jan 2019 16:23:43 +0100

Available diffs

Superseded in buster-release on 2019-01-17
Superseded in sid-release on 2019-01-18
deja-dup (38.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <email address hidden>  Fri, 14 Dec 2018 20:42:18 -0500

Available diffs

Superseded in buster-release on 2018-12-20
Superseded in sid-release on 2018-12-22
deja-dup (38.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: Applied in new release
  * Bump Standards-Version to 4.1.4
  * Release to unstable

 -- Jeremy Bicha <email address hidden>  Tue, 08 May 2018 18:39:38 -0400
Superseded in buster-release on 2018-05-14
Superseded in sid-release on 2018-06-20
deja-dup (36.3-3) unstable; urgency=high

  * Add 0002-don-t-use-ulimit.patch:
    - Stop using ulimit since it is incompatible with webkit2gtk 2.20
      (LP: #1751460)

 -- Jeremy Bicha <email address hidden>  Fri, 16 Mar 2018 14:34:45 -0400
Deleted in experimental-release (Reason: None provided.)
deja-dup (37.1-2) experimental; urgency=medium

  * Add 0002-don-t-use-ulimit.patch:
    - Stop using ulimit since it is incompatible with webkit2gtk 2.20
      (LP: #1751460)

 -- Jeremy Bicha <email address hidden>  Fri, 16 Mar 2018 14:31:28 -0400
Superseded in experimental-release on 2018-03-18
deja-dup (37.1-1) experimental; urgency=medium

  * New upstream unstable release
  * debian/watch: watch for unstable releases
  * Cherry pick upstream patch to exclude snap cache directories
  * maintscript: Bump version since Ubuntu didn't take this until now

 -- Jeremy Bicha <email address hidden>  Fri, 26 Jan 2018 20:23:14 -0500
Superseded in buster-release on 2018-03-19
Superseded in sid-release on 2018-03-17
deja-dup (36.3-2) unstable; urgency=medium

  * debian/copyright: Add debian/ to Files-Excluded
  * debian/watch: Only watch for stable releases
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Add debian/docs to install NEWS
  * Don't skip dh_auto_test
  * Don't depend on duplicity on Ubuntu (to not install python2 by default).
    Deja Dup will install duplicity if needed using PackageKit.

 -- Jeremy Bicha <email address hidden>  Fri, 26 Jan 2018 20:03:11 -0500
Superseded in buster-release on 2018-02-01
Superseded in sid-release on 2018-04-16
deja-dup (36.3-1) unstable; urgency=medium

  * New upstream version 36.3

 -- Laurent Bigonville <email address hidden>  Mon, 13 Nov 2017 08:57:49 +0100
Superseded in buster-release on 2017-11-18
Superseded in sid-release on 2017-11-14
deja-dup (36.2-1) unstable; urgency=medium

  * New upstream version 36.2
  * debian/control.in: Bump Standards-Version to 4.1.1 (no further changes)

 -- Laurent Bigonville <email address hidden>  Thu, 12 Oct 2017 00:55:18 +0200
Superseded in buster-release on 2017-10-17
Superseded in sid-release on 2017-10-12
deja-dup (36.1-1) unstable; urgency=medium

  * New upstream version 36.1
  * Drop debian/patches/01_xdg_autostart_exec.patch, applied upstream

 -- Laurent Bigonville <email address hidden>  Sun, 17 Sep 2017 12:09:06 +0200
Superseded in buster-release on 2017-09-22
Superseded in sid-release on 2017-09-17
deja-dup (35.6-1) unstable; urgency=medium

  * debian/gbp.conf: Filter upstream debian/ directory
  * New upstream version 35.6
  * debian/maintscript: Rename the xdg autostart file to
    org.gnome.DejaDup.Monitor.desktop
  * debian/patches/01_xdg_autostart_exec.patch: Use sh instead of bash so we
    don't need to depend on it

 -- Laurent Bigonville <email address hidden>  Thu, 07 Sep 2017 09:54:16 +0200
Deleted in experimental-release (Reason: None provided.)
deja-dup (35.5-1) experimental; urgency=medium

  * New upstream release.
    - Adjust the build-dependencies
  * debian/rules:
    - Really use meson/ninja for the build, upstream is shipping a Makefile
      this makes debhelper use that file instead of ninja.
    - Define the name of the package that can be installed via packagekit
  * debian/control.in:
    - Update the description to reflect that deja-dup now supports owncloud
    - Downgrade python-cloudfiles and python-boto to Suggests, those backends
      are now hidden by default, but still supported for old users

 -- Laurent Bigonville <email address hidden>  Sun, 27 Aug 2017 14:05:41 +0200
Superseded in experimental-release on 2017-09-05
deja-dup (35.3-1) experimental; urgency=medium

  * New upstream release.
    - Switch to meson build system
    - Bump the build-dependencies
    - Drop debian/patches/help2man.patch, not needed anymore
  * debian/control.in: Bump Standards-Version to 4.0.0 (no further changes)
  * Update the debian/copyright file, based on ubuntu one

 -- Laurent Bigonville <email address hidden>  Fri, 11 Aug 2017 16:55:44 +0200
Superseded in buster-release on 2017-09-12
Published in stretch-release on 2016-12-19
Superseded in sid-release on 2017-09-07
deja-dup (34.3-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Browser to use cgit instead of gitweb.
  * Drop --parallel from debhelper options. It's the default with compat 10.

 -- Michael Biebl <email address hidden>  Thu, 08 Dec 2016 23:01:58 +0100
Superseded in stretch-release on 2016-12-19
Superseded in sid-release on 2016-12-09
deja-dup (34.2-2) unstable; urgency=medium

  * Bump debhelper compat level to 10.
  * Drop override for dh_auto_install, not needed.
  * Bump Build-Depends on libnautilus-extension-dev to (>= 3.21.92-3~).
    This ensures we have a version with multiarch support.

 -- Michael Biebl <email address hidden>  Fri, 30 Sep 2016 16:42:47 +0200
Superseded in stretch-release on 2016-10-06
Superseded in sid-release on 2017-04-04
deja-dup (34.2-1) unstable; urgency=medium

  * New upstraem release.
    - Drop debian/patches/01_ignore_appstream.patch, applied upstream
  * debian/watch: Check the gpg signature for the downloaded tarball
  * debian/control.in: Bump Standards-Version to 3.9.8 (no furher changes)
  * Drop -dbg package and rely on automatically built -dbgsym one
  * debian/rules: Drop ENABLE_CCPANEL variable, support for building the GNOME
    Control Center plugin has been removed.
  * debian/control.in: Update Vcs-* URL's to please lintial (again)
  * Update the debian/copyright file

 -- Laurent Bigonville <email address hidden>  Mon, 25 Apr 2016 15:23:46 +0200
Superseded in stretch-release on 2016-05-01
Superseded in sid-release on 2016-04-26
deja-dup (34.1-1) unstable; urgency=medium

  * New upstraem release.
    - Refresh debian/patches/01_ignore_appstream.patch
    - Add libpackagekit-glib2-dev to the build-dependencies
  * debian/patches/01_ignore_appstream.patch: Add appstream key to ignore
    some .desktop files
  * debian/patches/help2man.patch: Use system help2man instead of embedded
    copy to allow reproducible build (Closes: #805787)
  * Suggest python-swiftclient for OpenStack Swift support

 -- Laurent Bigonville <email address hidden>  Fri, 25 Dec 2015 00:10:56 +0100
Superseded in stretch-release on 2015-12-30
Superseded in sid-release on 2015-12-25
deja-dup (34.0-1) unstable; urgency=medium

  * Team upload.
  * New upstraem release.
  * Update outdated section names in debian/gbp.conf.

 -- Michael Biebl <email address hidden>  Tue, 16 Jun 2015 16:54:00 +0200
Superseded in stretch-release on 2015-06-22
Published in jessie-release on 2014-10-23
Superseded in sid-release on 2015-12-25
deja-dup (32.0-1) unstable; urgency=medium


  * New upstream release
  * debian/control.in: Bump Standards-Version to 3.9.6 (no further changes)
  * debian/copyright: Fix copyright file, files have been moved around

 -- Laurent Bigonville <email address hidden>  Sun, 12 Oct 2014 10:51:13 +0200
Superseded in jessie-release on 2014-10-23
Superseded in sid-release on 2014-10-12
deja-dup (30.0-1) unstable; urgency=medium


  * New upstream release
    - Drop debian/patches/01_CMP0004_OLD.patch: Fixed upstream
  * Add debian/gbp.conf file
  * debian/control.in: Re-add the Vcs-* fields with the new URL's

 -- Laurent Bigonville <email address hidden>  Fri, 11 Apr 2014 22:21:25 +0200
Superseded in jessie-release on 2014-04-17
Superseded in sid-release on 2014-04-12
deja-dup (29.5-1) unstable; urgency=low


  * New upstream release (Closes: #667722, #671479)
    - Adjust the {build-}dependencies
    - debian/rules, debian/control: deja-dup is now using cmake
  * Adopt deja-dup by the GNOME team (Closes: #740924)
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * Add debian/patches/01_CMP0004_OLD.patch: Fix FTBFS due to changes in cmake
  * debian/rules: Drop the override_dh_builddeb target, this is not needed
    anymore
  * Fix the debian/watch URL
  * Bump debhelper compatibility to 9 to get the hardening flags for free
  * debian/rules: Properly exclude nautilus plugin from dh_makeshlibs call
    (Closes: #651279)
  * debian/control: Adjust the recommends, add gvfs-backends and rename
    python-rackspace-cloudfiles to python-cloudfiles (Closes: #669045, #732730)

 -- Laurent Bigonville <email address hidden>  Thu, 06 Mar 2014 22:11:37 +0100
Deleted in jessie-release (Reason: None provided.)
Published in wheezy-release on 2012-06-16
Superseded in sid-release on 2014-03-07
deja-dup (20.2-2.1) unstable; urgency=low


  * Non-maintainer upload.
  * Fix "configure:3028: error: xmllint not found":
    change build dependency from itstool to yelp-tools; thanks, Michael Biebl.
    (Closes: #666225)

 -- gregor herrmann <email address hidden>  Sun, 03 Jun 2012 16:37:10 +0200
Superseded in wheezy-release on 2012-06-16
Superseded in sid-release on 2012-06-06
deja-dup (20.2-2) unstable; urgency=low


  * ACK previous NMU (Closes: #651257)
  * Delete old unused patch (Closes: #651258)
  * Drop gnome-control-center support as Gnome 3 upstream don't want 3rd
  party applications to be installed there (Closes: #650142)

 -- Jose Carlos Garcia Sogo <email address hidden>  Thu, 08 Dec 2011 12:15:32 +0100
Superseded in sid-release on 2011-12-09
deja-dup (20.2-1.1) unstable; urgency=low


  * Non-maintainer upload.
  * debian/control: Drop libdbusmenu-gtk3-dev Build-dep, the package is only
    available in experimental for now (Closes: #651257)

 -- Laurent Bigonville <email address hidden>  Wed, 07 Dec 2011 11:54:25 +0100
Superseded in sid-release on 2011-12-08
deja-dup (20.2-1) unstable; urgency=low


  * New upstream release (Closes: #613336, #632568)
     - Fixed GPG error during restore (Closes: #624598)
     - Transitioned to use nautilus 3 (Closes: #637312)
  * Remove .la files (Closes: #621293)
  * debian/rules:
    - Convert to dh8
  * debian/source/format:
    - Convert to 3.0 (quilt)
  * debian/control:
    - Update description
    - Needs libnotify >= 0.7.0
  * debian/copyright:
    - Update from upstream AUTHORS
    - Standards-Version: bump to 3.9.2, no changes needed.
    - Change yelp Build-Dep to just itstool

  (These changes where taken from Ubuntu package, thanks to Michael Terry)

 -- Jose Carlos Garcia Sogo <email address hidden>  Fri, 25 Nov 2011 21:11:10 +0100
Published in squeeze-release on 2011-10-08
deja-dup (14.2-1squeeze1) stable; urgency=low


  * Fix problem with GPG which makes restore impossible, as it now
    fails with EOFError. Patch picked from upstream code, revision 728.
    Thanks to Jérémy Bobbio for reporting and providing the patch.
    (Closes: #624598)

 -- Jose Carlos Garcia Sogo <email address hidden>  Mon, 23 May 2011 17:47:59 +0200
Deleted in wheezy-release (Reason: None provided.)
Superseded in sid-release on 2011-12-08
deja-dup (18.1.1-2.1) unstable; urgency=low


  * Non-maintainer upload.
  * Add missing build dependency against liblocale-gettext-perl.
    (Closes: #630221)

 -- Jérémy Bobbio <email address hidden>  Sat, 24 Sep 2011 15:35:30 +0200
Superseded in sid-release on 2011-09-26
deja-dup (18.1.1-2) unstable; urgency=low


  * Upload to unstable 

 -- Jose Carlos Garcia Sogo <email address hidden>  Fri, 09 Sep 2011 22:34:00 +0000
Deleted in experimental-release (Reason: None provided.)
deja-dup (18.1.1-1) experimental; urgency=low
  * New upstream release (Closes: #613336)    - Fixed GPG error during restore (Closes: #624598)  * Remove .la files (Closes: #621293)   * debian/rules:    - Convert to dh8  * debian/source/format:    - Convert to 3.0 (quilt)  * debian/control:    - Update description  * debian/copyright:    - Update from upstream AUTHORS  (These changes where taken from Ubuntu package)   -- Jose Carlos Garcia Sogo <email address hidden>  Sun, 22 May 2011 11:08:37 +0000
Deleted in wheezy-release (Reason: None provided.)
Superseded in squeeze-release on 2011-10-08
Superseded in sid-release on 2011-09-26
deja-dup (14.2-1) unstable; urgency=low


  * New upstream release
    + Fixes problem to external disks (Closes: #583218)
  * Bump dependency in duplicity to 0.6.07 (Closes: #546520)

 -- Jose Carlos Garcia Sogo <email address hidden>  Thu, 08 Jul 2010 16:46:39 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
deja-dup (14.0-1) unstable; urgency=low


  * New upstream version (Closes: #574938) 

 -- Jose Carlos Garcia Sogo <email address hidden>  Thu, 01 Apr 2010 11:55:08 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
deja-dup (13.6-1) unstable; urgency=low


  * New upstream release (Closes: #567124)
    + Adds menu entry to System category (Closes: #544455)
  * Depends on gvfs-fuse (Closes: #546506)
  * Bump Standards-Version to 3.8.4. No changes needed.

 -- Jose Carlos Garcia Sogo <email address hidden>  Thu, 28 Jan 2010 00:13:03 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
deja-dup (10.1-2) unstable; urgency=low


  * intltool is a build-dependency (Closes: #544451)
  * Bump Standards-Version to 3.8.1. No changes needed.
  * Add to debian/copyright file every (C) bit in sources. 
    Thanks to Torsten Werner.

 -- Jose Carlos Garcia Sogo <email address hidden>  Mon, 31 Aug 2009 23:16:58 +0200
134 of 34 results